export default [
  {
    path: "/card/edit/:cardId?",
    name: "CardEdit",
    component: () =>
      import(/* webpackChunkName: "CardEdit" */ "./views/CardEdit.vue")
  },
  {
    // viewType::: view:预览,print:打印,frame:iframe嵌套
    path: "/card/preview/:cardId/:viewType",
    name: "CardPreview",
    component: () =>
      import(/* webpackChunkName: "CardPreview" */ "./views/CardPreview.vue")
  },
  {
    path: "/card/card-rule/preview/:cardRuleId",
    name: "CardRulePreview",
    component: () =>
      import(
        /* webpackChunkName: "CardRulePreview" */ "./views/CardRulePreview.vue"
      )
  },
  {
    path: "/card/free-edit/:cardId?",
    name: "CardFreeEdit",
    component: () =>
      import(/* webpackChunkName: "CardEdit" */ "./views/CardFreeEdit.vue")
  },
  {
    // viewType::: view:预览,print:打印,frame:iframe嵌套
    path: "/card/free-preview/:cardId/:viewType",
    name: "CardFreePreview",
    component: () =>
      import(
        /* webpackChunkName: "CardPreview" */ "./views/CardFreePreview.vue"
      )
  }
];
